XZGREP(1)

BEZEICHNUNG
xzgrep - möglicherweise komprimierte Dateien nach Mustern durchsuchen

ÜBERSICHT
xzgrep [Option …] [Musterliste] [Datei …]
xzegrep …
xzfgrep …
lzgrep …
lzegrep …
lzfgrep …

BESCHREIBUNG
xzgrep ruft grep(1) mit dem unkomprimierten Inhalt von Dateien auf. Die Formate der Dateien werden aus den Dateiendungen abgeleitet. Jede Datei mit einer Endung, die von xz(1), gzip(1), bzip2(1), lzop(1), zstd(1) oder lz4(1) unterstützt wird, wird dekomprimiert; für andere Dateien wird angenommen, dass sie bereits in unkomprimierter Form vorliegen.

Wenn keine Dateien angegeben werden oder Datei als - angegeben wird, wird aus der Standardeingabe gelesen. Beim Lesen aus der Standardeingabe werden nur die von xz(1) unterstützten Dateien dekomprimiert. Für andere Dateien wird angenommen, dass sie bereits in unkomprimierter Form vorliegen.

Die meisten Optionen von grep(1) werden unterstützt, die folgenden jedoch nicht:

    -r, --recursive

    -R, --dereference-recursive

    -d, --directories=Aktion

    -Z, --null

    -z, --null-data

    --include=Glob

    --exclude=Glob

    --exclude-from=Datei

    --exclude-dir=Glob

xzegrep ist ein Alias für xzgrep -E. xzfgrep ist ein Alias für xzgrep -F.

Die Befehle lzgrep, lzegrep und lzfgrep dienen der Abwärtskompatibilität zu den LZMA-Dienstprogrammen.

EXIT-STATUS

0   In mindestens einer der Eingabedateien wurde mindestens ein Treffer gefunden. Es sind keine Fehler aufgetreten.

1   In keiner der Eingabedateien wurde ein Treffer gefunden. Es sind keine Fehler aufgetreten.

>1  Ein oder mehrere Fehler sind aufgetreten. Es ist unbekannt, ob Treffer gefunden wurden.

UMGEBUNGSVARIABLEN

GREP
    Wenn die Umgebungsvariable GREP auf einen nicht-leeren Wert gesetzt ist, wird diese anstelle von grep(1), grep -E oder grep -F verwendet.

SIEHE AUCH
grep(1), xz(1), gzip(1), bzip2(1), lzop(1), zstd(1), lz4(1), zgrep(1)